### Function

# GLib VariantType new_tuple

since: 2.24

#### Declaration

    GVariantType*
    g_variant_type_new_tuple (
      const GVariantType* const* items,
      gint length
    )

#### Description

Constructs a new tuple type, from `items`.

`length` is the number of items in `items`, or -1 to indicate that `items` is `NULL`-terminated.

It is appropriate to call `g_variant_type_free()` on the return value.

Available since: 2.24

#### Parameters

`items`

  Type: An array of `GVariantType*`

  An array of `GVariantTypes`, one for each item.

  The length of the array is specified in the `length` argument.
  The data is owned by the caller of the function.

`length`

  Type: `gint`

  The length of `items`, or -1

#### Return value

Type: `GVariantType`

A new tuple `GVariantType`

Since 2.24

The caller of the function takes ownership of the data, and is responsible for freeing it.